Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Dirent.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/OS_NS_dirent.h"`
`#include "ace/Dirent.inl"`

Include dependency graph for Dirent.h:

This graph shows which files directly or indirectly include this file:

## Classes
class | ACE_Dirent
| Define a portable C++ directory-entry iterator based on the POSIX API. More...

## Detailed Description

Id
  Dirent.h,v 4.27 2006/02/10 10:05:09 jwillemsen Exp

Define a portable C++ interface to ACE_OS_Dirent directory-entry manipulation.

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>